JsonByEscalationId (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.json.action.escalation.finder.JsonByEscalationId class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.json.action.escalation.finder
Class JsonByEscalationId

    java.lang.Object
      org.apache.struts.action.Action
          org.hyperic.hq.ui.json.action.escalation.BaseAction
              org.hyperic.hq.ui.json.action.escalation.finder.JsonByEscalationId

    public class JsonByEscalationId

extends BaseAction

Field Summary

Fields inherited from class org.hyperic.hq.ui.json.action.escalation.BaseAction
`ALERTDEF_ID, ALLOW_PAUSE, DESCRIPTION, GALERTDEF_ID, ID, MAX_WAIT_TIME, NAME, NOTIFY_ALL`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`JsonByEscalationId()`

Method Summary
`void` | `execute(JsonActionContext ctx)`

Methods inherited from class org.hyperic.hq.ui.json.action.escalation.BaseAction
`execute, streamResult`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsonByEscalationId

    public JsonByEscalationId()

Method Detail

### execute

    public void execute(JsonActionContext ctx)
                 throws java.lang.Exception

  Specified by:
    `execute` in class `BaseAction`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.